<?php
if(!is_file($data))
{
$wer = check($_GET['get']);

header( 'Location: http://vipvi.ru/mp3/go-'.$wer ); 
echo 'Идет,подготовка файла, подождите 5 секунд и нажмите</br>
<a href="go-'.$wer.'">Обновить</a>';
include ('foot.php');
copy($url,$data);
}

elseif(is_file($data) && filesize($data)!=$get['Content-Length'])
{
echo 'Идет,подготовка файла, подождите немного...</br>Подготовлено </br></br>';
echo round(filesize($data)/($get['Content-Length']/100));
echo '<a href="go-'.check($_GET['get']).'">Обновить</a>';
include ('foot.php');
}

 else
{include ('foot.php');
}
?>